VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataBloMox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idBlocMox As Integer
Public idligne As Integer
Public idMox As Integer

'Liaisons Obligatoire
Public ColMox As Collection
Public ColLigne As Collection

Private rec As Recordset
Private strRequete As String

Public Sub ChargeBlocMox()
    
    If QShema.BlocMoxs.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from BlocMox", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idBlocMox = .Fields("idBlocMox")
                Me.idligne = .Fields("idligne")
                Me.idMox = .Fields("idMox")
                QShema.BlocMoxs.Add Me, "*" & Me.idBlocMox
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub

